diff --git a/meta-gnome/recipes-gnome/pimlico/contacts.inc b/meta-gnome/recipes-gnome/pimlico/contacts.inc
deleted file mode 100644
index fedd22332..000000000
--- a/meta-gnome/recipes-gnome/pimlico/contacts.inc
+++ /dev/null
@@ -1,28 +0,0 @@
-DESCRIPTION = "Address-book application."
-HOMEPAGE = "http://pimlico-project.org/contacts.html"
-BUGTRACKER = "https://bugzilla.gnome.org/"
-
-LICENSE = "GPLv2 & GPLv2+ & GPLv3+ "
-SECTION = "x11"
-DEPENDS = "glib-2.0 gtk+ evolution-data-server intltool-native"
-RDEPENDS_${PN} = "libedata-book"
-
-inherit autotools pkgconfig gconf
-
-EXTRA_OECONF += "--disable-gnome-vfs"
-EXTRA_OEMAKE += "GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1"
-
-do_install_append () {
-    install -d ${D}/${datadir}/pixmaps
-    install -m 0644 ${WORKDIR}/stock_contact.png ${D}/${datadir}/pixmaps
-    install -m 0644 ${WORKDIR}/stock_person.png ${D}/${datadir}/pixmaps
-}
-
-FILES_${PN} += "${datadir}/pixmaps/stock_contact.png \
-        ${datadir}/pixmaps/stock_person.png \
-        ${datadir}/icons/hicolor"
-
-SRC_URI = "file://stock_contact.png \
-           file://stock_person.png \
-           file://contacts-conditionally-install-schema.patch \
-"
diff --git a/meta-gnome/recipes-gnome/pimlico/contacts/contacts-conditionally-install-schema.patch b/meta-gnome/recipes-gnome/pimlico/contacts/contacts-conditionally-install-schema.patch
deleted file mode 100644
index 2ab7882c8..000000000
--- a/meta-gnome/recipes-gnome/pimlico/contacts/contacts-conditionally-install-schema.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-Install schema should respect to GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
-
-If GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL is set, the schema should not
-be installed.
-
-Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
-
-Upstream-Status: Pending
----
- data/Makefile.am |    7 ++++---
- 1 files changed, 4 insertions(+), 3 deletions(-)
-
-diff --git a/data/Makefile.am b/data/Makefile.am
-index f790823..b6fd643 100644
---- a/data/Makefile.am
-+++ b/data/Makefile.am
-@@ -14,13 +14,14 @@ dist_man1_MANS = contacts.1
- 
- if HAVE_GCONF
- install-data-local:
--	GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) \
-+	if [ "$(GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL)" != "1" ]; then \
-+		GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) \
- 		$(GCONFTOOL) --makefile-install-rule $(schema_DATA) || \
- 		(echo ;\
- 		echo "*****************************************************"; \
- 		echo "Installation of schemas failed, install them manually"; \
--		echo "*****************************************************";)
--		@true
-+		echo "*****************************************************";); \
-+	fi
- endif
- 
- CLEANFILES = $(desktop_DATA)
--- 
-1.7.7.6
-
diff --git a/meta-gnome/recipes-gnome/pimlico/contacts/make-382.patch b/meta-gnome/recipes-gnome/pimlico/contacts/make-382.patch
deleted file mode 100644
index a7cfee3a0..000000000
--- a/meta-gnome/recipes-gnome/pimlico/contacts/make-382.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-Fix for stricter parser in make 3.82. This fix has been pushed to upstream git.
-
-JL - 15/12/10
-
-Upstream-Status: Accepted
-
-Index: git/Makefile.am
-===================================================================
---- git.orig/Makefile.am
-+++ git/Makefile.am
-@@ -11,4 +11,4 @@ DISTCLEANFILES = $(INTLTOOL_BUILT)
- MAINTAINERCLEANFILES = aclocal.m4 compile config.guess config.sub configure depcomp $(INTLTOOL_BUILT:=.in) install-sh ltmain.sh mkinstalldirs Makefile.in missing
- 
- snapshot:
--        $(MAKE) dist distdir=$(PACKAGE)-snap`date +"%Y%m%d"`
-+	$(MAKE) dist distdir=$(PACKAGE)-snap`date +"%Y%m%d"`
diff --git a/meta-gnome/recipes-gnome/pimlico/contacts/stock_contact.png b/meta-gnome/recipes-gnome/pimlico/contacts/stock_contact.png
deleted file mode 100644
index 123b4485acaaaf665eb9dbff5e9f126a02e6e6d4..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/meta-gnome/recipes-gnome/pimlico/contacts/stock_person.png b/meta-gnome/recipes-gnome/pimlico/contacts/stock_person.png
deleted file mode 100644
index 2b1328b4e2cc6a131a7ff9df4722c6fa49b0a6f1..0000000000000000000000000000000000000000
GIT binary patch
diff --git a/meta-gnome/recipes-gnome/pimlico/contacts_0.9.bb b/meta-gnome/recipes-gnome/pimlico/contacts_0.9.bb
deleted file mode 100644
index 516cf93e4..000000000
--- a/meta-gnome/recipes-gnome/pimlico/contacts_0.9.bb
+++ /dev/null
@@ -1,20 +0,0 @@
-require contacts.inc
-
-PR = "r8"
-
-SRC_URI =+ "http://pimlico-project.org/sources/${BPN}/${BPN}-${PV}.tar.gz"
-
-SRC_URI[md5sum] = "aab5affbf93d6fa7b978b323a8d44de0"
-SRC_URI[sha256sum] = "9cacec98f8123993033aaa255f3f4c04c86a1be65e487dd21f0aaa54384a6f6d"
-
-LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f \
-                    file://src/contacts-main.h;endline=18;md5=0371af46fbc72e33575e0072dca5fb19 \
-                    file://src/contacts-dbus.c;endline=18;md5=e4da9ac1a0539fafc7df431010904fd5 \
-                    file://src/contacts-gtk.c;endline=21;md5=1c2e3f55b215635eff4ba76f7696f8ee"
-
-do_configure_prepend () {
-    # It used 8 spaces to instead of a tab, but it doesn't work for us
-    sed -i 's/^        $(MAKE) dist distdir=/\t$(MAKE) dist distdir/' Makefile.am
-}
-
-PNBLACKLIST[contacts] ?= "Fails to fetch, pimlico-project.org is gone http://errors.yoctoproject.org/Errors/Details/132854/ - the recipe will be removed on 2017-09-01 unless the issue is fixed"
diff --git a/meta-gnome/recipes-gnome/pimlico/contacts_git.bb b/meta-gnome/recipes-gnome/pimlico/contacts_git.bb
deleted file mode 100644
index b46e9d9db..000000000
--- a/meta-gnome/recipes-gnome/pimlico/contacts_git.bb
+++ /dev/null
@@ -1,19 +0,0 @@
-require contacts.inc
-
-LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f \
-                    file://src/contacts-main.h;endline=20;md5=9dc3531c914fb6d6d4a8d1aee4519fef \
-                    file://src/contacts-dbus.c;endline=20;md5=95e02d77f155fbd07a14dba3348b9b03 \
-                    file://src/contacts-gtk.c;endline=23;md5=e1ee9b9e72045f2d3aa44cf17313b46e"
-
-SRCREV = "19853893fdb595de6aa59db0d9dc2f9451ed2933"
-PV = "0.12+git${SRCPV}"
-PR = "r4"
-
-S = "${WORKDIR}/git"
-
-SRC_URI =+ "git://git.gnome.org/${BPN} \
-        file://make-382.patch"
-
-S = "${WORKDIR}/git"
-
-PNBLACKLIST[contacts] ?= "Fails to build with RSS http://errors.yoctoproject.org/Errors/Details/132826/ - the recipe will be removed on 2017-09-01 unless the issue is fixed"
diff --git a/meta-gnome/recipes-gnome/pimlico/dates.inc b/meta-gnome/recipes-gnome/pimlico/dates.inc
deleted file mode 100644
index 12d2f83f9..000000000
--- a/meta-gnome/recipes-gnome/pimlico/dates.inc
+++ /dev/null
@@ -1,11 +0,0 @@
-DESCRIPTION = "Dates is a calendar application."
-HOMEPAGE = "http://pimlico-project.org/dates.html"
-BUGTRACKER = "https://bugzilla.gnome.org/"
-
-LICENSE = "GPLv2 & GPLv2+ & LGPLv2+"
-
-SECTION = "x11"
-DEPENDS = "glib-2.0 gtk+ libglade evolution-data-server intltool-native"
-RDEPENDS_${PN} = "libedata-cal"
-
-inherit autotools gettext pkgconfig gtk-icon-cache
diff --git a/meta-gnome/recipes-gnome/pimlico/dates/0001-Fix-format-security-warnings.patch b/meta-gnome/recipes-gnome/pimlico/dates/0001-Fix-format-security-warnings.patch
deleted file mode 100644
index 4f551a7d8..000000000
--- a/meta-gnome/recipes-gnome/pimlico/dates/0001-Fix-format-security-warnings.patch
+++ /dev/null
@@ -1,54 +0,0 @@
-From 687881c5fa342686c8724adcdac0f9d555a351c3 Mon Sep 17 00:00:00 2001
-From: Khem Raj <raj.khem@gmail.com>
-Date: Wed, 5 Apr 2017 18:10:57 -0700
-Subject: [PATCH] Fix format security warnings
-
-Signed-off-by: Khem Raj <raj.khem@gmail.com>
----
- src/dates_callbacks.c | 2 +-
- src/dates_gtk.c       | 2 +-
- src/gconf-bridge.c    | 2 +-
- 3 files changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/src/dates_callbacks.c b/src/dates_callbacks.c
-index d704c8f..46b8cb1 100644
---- a/src/dates_callbacks.c
-+++ b/src/dates_callbacks.c
-@@ -365,7 +365,7 @@ dates_about_cb (GtkWidget *widget, DatesData *d)
- 
- 	if (!pixb) {
- 		g_assert (error);
--		g_warning (error->message);
-+		g_warning ("%s", error->message);
- 		g_clear_error (&error);
- 	}
- 
-diff --git a/src/dates_gtk.c b/src/dates_gtk.c
-index 403bc25..fd691d2 100644
---- a/src/dates_gtk.c
-+++ b/src/dates_gtk.c
-@@ -1114,7 +1114,7 @@ calendar_do_edit_dialog_response_cb (GtkDialog *dialog, gint response_id, gpoint
- 				GTK_DIALOG_MODAL | GTK_DIALOG_DESTROY_WITH_PARENT,
- 				GTK_MESSAGE_WARNING,
- 				GTK_BUTTONS_NONE,
--				prompt);
-+				"%s", prompt);
- 
- 		g_free (prompt);
- 
-diff --git a/src/gconf-bridge.c b/src/gconf-bridge.c
-index 49754cf..67d3757 100644
---- a/src/gconf-bridge.c
-+++ b/src/gconf-bridge.c
-@@ -1220,7 +1220,7 @@ error_handler (GConfClient *client,
-                 dlg = gtk_message_dialog_new (NULL, 0,
-                                               GTK_MESSAGE_ERROR,
-                                               GTK_BUTTONS_OK,
--                                              message);
-+                                              "%s", message);
-                 g_free (message);
- 
-                 gtk_message_dialog_format_secondary_text
--- 
-2.12.2
-
diff --git a/meta-gnome/recipes-gnome/pimlico/dates/dso_linking_change_build_fix.patch b/meta-gnome/recipes-gnome/pimlico/dates/dso_linking_change_build_fix.patch
deleted file mode 100644
index 649d59d91..000000000
--- a/meta-gnome/recipes-gnome/pimlico/dates/dso_linking_change_build_fix.patch
+++ /dev/null
@@ -1,44 +0,0 @@
-after gcc linking has changed, all the libraries must be explicitely specified 
-This patch avoids these linking errors:
-
-
-| make[2]: Entering directory `/disk0/pokybuild/build1/tmp/work/i586-poky-linux/dates-0.4.11+git0+514185dc1f6588085fda41eb59898b93d0487dd4-r2/git/src'^M
-...
-| /disk0/pokybuild/build1/tmp/sysroots/x86_64-linux/usr/libexec/i586-poky-linux/gcc/i586-poky-linux/4.5.1/ld: e: invalid DSO for symbol `pow@@GLIBC_2.0' definition^M
-| /disk0/pokybuild/build1/tmp/sysroots/i586-poky-linux/usr/lib/libm.so: could not read symbols: Bad value^M
-| collect2: ld returned 1 exit status^M
-| make[2]: *** [dates] Error 1
-
-
-
-| /disk0/pokybuild/build1/tmp/sysroots/x86_64-linux/usr/libexec/i586-poky-linux/gcc/i586-poky-linux/4.5.1/ld: z: invalid DSO for symbol `pango_layout_get_extents' definition
-| /disk0/pokybuild/build1/tmp/sysroots/i586-poky-linux/usr/lib/libpango-1.0.so: could not read symbols: Bad value
-| collect2: ld returned 1 exit status
-| make[2]: *** [dates] Error 1
-
-
-Nitin A Kamble <nitin.a.kamble@intel.com>
-Date: 2011/01/11
-
-Update:
-This is identified as a libtool issue. While creating the libgtkdatesview.la 
-file, libtool should have added these needed libraries in there.
- A bug has been created for this issue: 
-   http://bugzilla.pokylinux.org/show_bug.cgi?id=664
-Nitin A Kamble <nitin.a.kamble@intel.com>
-Date: 2011/01/19
-
-Upstream-Status: Pending
-
-Index: git/src/Makefile.am
-===================================================================
---- git.orig/src/Makefile.am
-+++ git/src/Makefile.am
-@@ -34,6 +34,6 @@ dates_SOURCES = $(platform) 	\
- 	gconf-bridge.h		\
- 	gconf-bridge.c
- 
--dates_LDADD = $(DATES_LIBS) $(OWL_LIBS) libgtkdatesview.la
-+dates_LDADD = $(DATES_LIBS) $(OWL_LIBS) libgtkdatesview.la -lm -lpango-1.0
- 
- MAINTAINERCLEANFILES = config.h.in Makefile.in
diff --git a/meta-gnome/recipes-gnome/pimlico/dates/uclibc-NL_TIME_FIRST_WEEKDAY-absent.patch b/meta-gnome/recipes-gnome/pimlico/dates/uclibc-NL_TIME_FIRST_WEEKDAY-absent.patch
deleted file mode 100644
index 6ade4708f..000000000
--- a/meta-gnome/recipes-gnome/pimlico/dates/uclibc-NL_TIME_FIRST_WEEKDAY-absent.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-uclibc has langinfo.h but it does not define _NL_TIME_FIRST_WEEKDAY
-therefore we introduce a check in configure for the this define
-and then we make sure that we use it when it really exists
-
-Signed-off-by: Khem Raj <raj.khem@gmail.com>
-
-Upstream-Status: Pending
-
-Index: git/configure.ac
-===================================================================
---- git.orig/configure.ac	2011-07-18 10:34:15.000000000 -0700
-+++ git/configure.ac	2011-07-18 10:54:26.403798188 -0700
-@@ -98,6 +98,8 @@
- 		src/libgtkdatesview.pc
- ])
- 
-+AC_CHECK_DECLS([_NL_TIME_FIRST_WEEKDAY],[],[],[[#include <langinfo.h>]])
-+
- AC_OUTPUT
- 
- echo " "
-Index: git/src/dates_view.c
-===================================================================
---- git.orig/src/dates_view.c	2011-07-18 10:34:15.000000000 -0700
-+++ git/src/dates_view.c	2011-07-18 10:58:46.093798136 -0700
-@@ -1505,7 +1505,11 @@
- 	priv->days = 1;
- 	priv->months = 0;
- 	priv->months_in_row = 4;
-+#if HAVE_DECL__NL_TIME_FIRST_WEEKDAY
- 	priv->week_start = *nl_langinfo (_NL_TIME_FIRST_WEEKDAY) - 1;
-+#else
-+	priv->week_start = 0;
-+#endif
- 	priv->dragbox = TRUE;
- 	priv->single_click = TRUE;
- 	priv->double_click = FALSE;
diff --git a/meta-gnome/recipes-gnome/pimlico/dates_git.bb b/meta-gnome/recipes-gnome/pimlico/dates_git.bb
deleted file mode 100644
index 14965e94f..000000000
--- a/meta-gnome/recipes-gnome/pimlico/dates_git.bb
+++ /dev/null
@@ -1,18 +0,0 @@
-require dates.inc
-
-LIC_FILES_CHKSUM = "file://COPYING;md5=751419260aa954499f7abaabaa882bbe \
-                    file://src/dates_view.h;endline=22;md5=29f934f356eb970309cdeb6693b3123a \
-                    file://src/dates_hildon.c;endline=19;md5=63938904198b25de429abb65fbdbdb8a \
-                    file://src/gconf-bridge.c;endline=22;md5=ad7626c6daf4aec590474a243f4912fa"
-
-SRCREV = "c8e30fa3211dcdfcda48184f4c57746a552b9c7a"
-PV = "0.4.11+git${SRCPV}"
-PR = "r9"
-
-S = "${WORKDIR}/git"
-
-SRC_URI = "git://git.gnome.org/${BPN} \
-           file://dso_linking_change_build_fix.patch \
-           file://uclibc-NL_TIME_FIRST_WEEKDAY-absent.patch \
-           file://0001-Fix-format-security-warnings.patch \
-           "
diff --git a/meta-gnome/recipes-gnome/pimlico/tasks.inc b/meta-gnome/recipes-gnome/pimlico/tasks.inc
deleted file mode 100644
index f8217dc3a..000000000
--- a/meta-gnome/recipes-gnome/pimlico/tasks.inc
+++ /dev/null
@@ -1,10 +0,0 @@
-DESCRIPTION = "Task list application"
-HOMEPAGE = "http://pimlico-project.org/tasks.html"
-BUGTRACKER = "https://bugzilla.gnome.org/"
-
-LICENSE = "GPLv2 & GPLv2+"
-
-SECTION = "x11"
-DEPENDS = "glib-2.0 gtk+ evolution-data-server intltool-native"
-
-inherit autotools pkgconfig gtk-icon-cache
diff --git a/meta-gnome/recipes-gnome/pimlico/tasks_0.19.bb b/meta-gnome/recipes-gnome/pimlico/tasks_0.19.bb
deleted file mode 100644
index 42c20c47e..000000000
--- a/meta-gnome/recipes-gnome/pimlico/tasks_0.19.bb
+++ /dev/null
@@ -1,16 +0,0 @@
-require tasks.inc
-
-LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f \
-                    file://src/gtk/main.c;endline=19;md5=8659d0b7fd68a2ad6ac30c6539ea5b82 \
-                    file://src/omoko/openmoko-tasks.c;endline=20;md5=04d56a46863c9f4247694f40257a836a \
-                    file://src/hildon/hildon-tasks.c;endline=21;md5=488ddf31dc14b2196dec7cc736211b52"
-
-SRC_URI = "http://pimlico-project.org/sources/${BPN}/${BPN}-${PV}.tar.gz"
-
-SRC_URI[md5sum] = "0afd969758561599fd782e1effb39c08"
-SRC_URI[sha256sum] = "1a7fdc5f95a2193a1a25fdb13f071867fb7e42245ce19ccee4bcccb69e557f2e"
-
-PR = "r3"
-
-# tasks-0.19/libkoto/koto-utils.c:81:3: error: format not a string literal, argument types not checked [-Werror=format-nonliteral]
-PNBLACKLIST[tasks] ?= "Fails to build with gcc-6 - the recipe will be removed on 2017-09-01 unless the issue is fixed"
diff --git a/meta-gnome/recipes-gnome/pimlico/tasks_git.bb b/meta-gnome/recipes-gnome/pimlico/tasks_git.bb
deleted file mode 100644
index b71f1dc5b..000000000
--- a/meta-gnome/recipes-gnome/pimlico/tasks_git.bb
+++ /dev/null
@@ -1,12 +0,0 @@
-require tasks.inc
-
-SRC_URI = "git://git.gnome.org/${BPN}"
-
-SRCREV = "ea52d46d691c5fce4473ea4e24a35411381f3a65"
-PV = "0.13+git${SRCPV}"
-PR = "r3"
-
-S = "${WORKDIR}/git"
-
-# ../../git/libkoto/koto-utils.c:81:3: error: format not a string literal, argument types not checked [-Werror=format-nonliteral]
-PNBLACKLIST[tasks] ?= "Fails to build with gcc-6 - the recipe will be removed on 2017-09-01 unless the issue is fixed"